Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Query_Only_Offer_Iterator Class Reference

`#include <Offer_Iterators.h>`

Inheritance diagram for TAO_Query_Only_Offer_Iterator:

[legend]
Collaboration diagram for TAO_Query_Only_Offer_Iterator:

[legend]
List of all members.

## Public Methods
| TAO_Query_Only_Offer_Iterator (const TAO_Property_Filter &pfilter)
virtual | ~TAO_Query_Only_Offer_Iterator (void)
virtual CORBA::Boolean | next_n (CORBA::ULong n, CosTrading::OfferSeq_out offers ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::ULong | max_left (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException, CosTrading::UnknownMaxLeft)
| Return the number of items left in the iterator.
void | add_offer (CosTrading::OfferId offer_id, const CosTrading::Offer *offer)
| Add an offer the iterator should iterate over.
## Private Methods
| TAO_Query_Only_Offer_Iterator (const TAO_Query_Only_Offer_Iterator &)
TAO_Query_Only_Offer_Iterator & | operator= (const TAO_Query_Only_Offer_Iterator &)
## Private Attributes
ACE_Unbounded_Queue< CosTrading::Offer * > | offers_

## Constructor & Destructor Documentation

TAO_Query_Only_Offer_Iterator::TAO_Query_Only_Offer_Iterator | ( | const TAO_Property_Filter & | pfilter | ) |

TAO_Query_Only_Offer_Iterator::~TAO_Query_Only_Offer_Iterator | ( | void |  | ) | `[virtual]`

TAO_Query_Only_Offer_Iterator::TAO_Query_Only_Offer_Iterator | ( | const TAO_Query_Only_Offer_Iterator & |  | ) | `[private]`

## Member Function Documentation

void TAO_Query_Only_Offer_Iterator::add_offer | ( | CosTrading::OfferId | offer_id,
|  | const CosTrading::Offer * | offer
| ) | `[virtual]`

| Add an offer the iterator should iterate over. Implements TAO_Offer_Iterator.

CORBA::ULong TAO_Query_Only_Offer_Iterator::max_left | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException, CosTrading::UnknownMaxLeft)`[virtual]`

| Return the number of items left in the iterator. Implements TAO_Offer_Iterator.

CORBA::Boolean TAO_Query_Only_Offer_Iterator::next_n | ( | CORBA::ULong | n,
|  | CosTrading::OfferSeq_out offers | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Deposit at maximum n offers into the return sequence and return 1, or return 0 if the iterator is done and no offers are returned. Implements TAO_Offer_Iterator.

TAO_Query_Only_Offer_Iterator& TAO_Query_Only_Offer_Iterator::operator= | ( | const TAO_Query_Only_Offer_Iterator & |  | ) | `[private]`

## Member Data Documentation

ACE_Unbounded_Queue<CosTrading::Offer *> TAO_Query_Only_Offer_Iterator::offers_`[private]`

| Structure that stores pointers to offers to iterate over.

The documentation for this class was generated from the following files:

- Offer_Iterators.h
- Offer_Iterators.cpp